Name:           sleid0r
Version:        0.4
Release:        1%{?dist}
Summary:        Slideshow viewer/generator with frei0r transition effects

License:        GPL-3.0+
URL:            http://cdslow.org.ru/en/sleid0r
Source0:        %{name}-%{version}.tar.gz

%if 0%{?fedora}
    %global frei0r_devel frei0r-devel
%else
    %global frei0r_devel frei0r-plugins-devel
%endif

%if 0%{?suse_version}
    %global app_group Productivity/Graphics/Viewers
%else
    %global app_group Applications/Multimedia
%endif

BuildRequires:  SDL-devel SDL_image-devel
BuildRequires:  %{frei0r_devel}
BuildRequires:  cmake
Requires:       frei0r-plugins

Group:          %{app_group}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

%description
SDL-based slideshow viewer/generator with frei0r transition effects.

Slideshow may be displayed in a window or in the fullscreen mode,
or may be saved as a set of .bmp files or directed to stdout
as a raw RGBA stream.

%prep
%setup -q

%build
%if 0%{?suse_version} >= 1310
    %cmake
%else
    %if 0%{?cmake:1}
        %cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo .
    %else
        CFLAGS="${CFLAGS:-%optflags}"
        export CFLAGS
        cmake \
            -DCMAKE_BUILD_TYPE=Release \
            -DCMAKE_VERBOSE_MAKEFILE=ON \
            -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
            -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
            -DINCLUDE_INSTALL_DIR:PATH=%{_includedir} \
            -DLIB_INSTALL_DIR:PATH=%{_libdir} \
            -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
            -DSHARE_INSTALL_PREFIX:PATH=%{_datadir} \
            -DCMAKE_SKIP_RPATH:BOOL=ON \
            -DBUILD_SHARED_LIBS:BOOL=ON \
            .
    %endif
%endif
make %{?_smp_mflags}

%install
%if 0%{?suse_version} >= 1310
    cd build
%endif

%if 0%{?make_install:1}
    %make_install
%else
    make install DESTDIR=%{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(0755, root, root)
%{_bindir}/sleid0r
%defattr(0644, root, root)
%doc %{_datadir}/man/man1/sleid0r.1.gz

%changelog
* Sat Feb  7 2015 Vadim Druzhin <cdslow@mail.ru> - 0.4-1
- Updated to version 0.4;
- Added check of frei0r modules type in '-e' list.

* Tue Jul  1 2014 Vadim Druzhin <cdslow@mail.ru> - 0.3-1
- Updated to version 0.3;
- Added new file sorting mode: shuffle directoeies;
- Added control keys for next/previous images and pause.

* Tue Oct 29 2013 Vadim Druzhin <cdslow@mail.ru> - 0.2-1
- Updated to version 0.2.
- Fixed a crash when downscaling some image sizes.

* Wed Aug  7 2013 Vadim Druzhin <cdslow@mail.ru> - 0.1-1
- First release.

