/*
This file is a part of sleid0r -- slideshow viewer/generator.
Copyright (C) 2013 Vadim Druzhin <cdslow@mail.ru>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "err.h"

void *e_malloc(size_t size)
    {
    void *res;

    res = malloc(size);
    
    if(NULL == res)
        {
        perror(NULL);
        exit(EXIT_FAILURE);
        }

    return res;
    }

void *e_realloc(void *ptr, size_t size)
    {
    void *res;

    res = realloc(ptr, size);
    
    if(NULL == res)
        {
        perror(NULL);
        exit(EXIT_FAILURE);
        }

    return res;
    }

char *e_strdup(const char *s)
    {
    char *res;

    res = strdup(s);
    
    if(NULL == res)
        {
        perror(NULL);
        exit(EXIT_FAILURE);
        }

    return res;
    }
