#ifndef _IMAGES_H_
#define _IMAGES_H_

#include <SDL.h>
#include "mod_frei0r.h"

#if SDL_BYTEORDER == SDL_BIG_ENDIAN

#define MASK_R 0xff000000
#define MASK_G 0x00ff0000
#define MASK_B 0x0000ff00
#define MASK_A 0x000000ff

#else /* SDL_BYTEORDER == SDL_BIG_ENDIAN */

#define MASK_R 0x000000ff
#define MASK_G 0x0000ff00
#define MASK_B 0x00ff0000
#define MASK_A 0xff000000

#endif /* SDL_BYTEORDER == SDL_BIG_ENDIAN */

SDL_Surface *image_realloc(SDL_Surface *img, int w, int h);
SDL_Surface *image_alloc_rgba(int w, int h);
SDL_Surface *image_alloc_bgra(int w, int h);
SDL_Surface *image_alloc_32(int w, int h, Uint32 r, Uint32 g, Uint32 b, Uint32 a);
int image_fit(SDL_Surface *dst, SDL_Surface *src, int om, int od, int fast);
int image_copy(SDL_Surface *dst, SDL_Surface *src);
SDL_Surface *image_convert(SDL_Surface *src, SDL_PixelFormat *fmt);
char **image_list(int *imgc, char **argv);
char **image_list_append(char **imgv, int *imgc, char **argv);
void image_list_free(char **imgv, int imgc);
void image_list_sort(char **imgv, int imgc);
void image_list_shuffle(char **imgv, int imgc);
void image_dirs_shuffle(char **imgv, int imgc);
SDL_Surface **image_frames_alloc(int n);
void image_frames_free(SDL_Surface **framev, int n);
void image_random(SDL_Surface *img);
void image_black(SDL_Surface *img);
int image_cmp(SDL_Surface *a, SDL_Surface *b);
int image_format_ok(SDL_PixelFormat *a, SDL_PixelFormat *b);
void image_blur(SDL_Surface *img, frei0r_plugin_t *blur);
int image_fill(SDL_Surface *dst, SDL_Surface *src, frei0r_plugin_t *blur);
SDL_Surface *load_resource(void const *data, int size);

#endif /* _IMAGES_H_ */
